;	C startup routine for sample.c
;
	EXTRN	_main:near
        EXTRN   _interrupt_handler:near
        EXTRN   _timer_handler:near
        PUBLIC	_STRAT
        PUBLIC  _TIMER
        PUBLIC  _INT_HNDLR
	PUBLIC  __acrtused

_DATA	segment	word public 'DATA'
_DATA	ends

CONST	segment	word public 'CONST'
CONST	ends

_BSS	segment word public 'BSS'
_BSS	ends

DGROUP	group 	CONST, _BSS, _DATA

_TEXT	segment	word public 'CODE'

	  assume	cs:_TEXT, ds:DGROUP, es:NOTHING, ss:NOTHING
	  .286P
;
_STRAT  proc	far
__acrtused:		        ;prevent startup code 
;
	push	es		;send request packet address
	push	bx
	call	_main		;call driver mailine
	pop	bx		;restore es:bx
	pop	es
	mov	word ptr es:[bx+3],ax ;send completion status
	ret
;
_STRAT	endp
;
_INT_HNDLR proc 	far
;
	pusha		;save flags, regs
        push    ds
        push	es	;make up for the 'almost all' push
	call	_interrupt_handler ;handle interrupts
        pop	es
        pop     ds
	popa		;restore everything and
        ret		;bail out
;
_INT_HNDLR endp

_TIMER  proc 	far
;
	pusha		;save flags, regs
        push    ds
        push	es	;make up for the 'almost all' push
	call	_timer_handler ;handle timeouts
        pop	es
        pop     ds
	popa		;restore everything and
        ret		;bail out
;
_TIMER  endp

_TEXT	  ends
	  end
